### Method

# Devhelp Book cmp_by_id

#### Declaration [src]

    gint
    dh_book_cmp_by_id (
      DhBook* a,
      DhBook* b
    )

#### Description [src]

Compares the `DhBook`‘s by their IDs, with g_ascii_strcasecmp().

#### Parameters

`b` | `DhBook`
| A `DhBook`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `int`
| An integer less than, equal to, or greater than zero, if `a` is <, == or > than `b`.